
FROM node:18-alpine

ENV Param sid=0

RUN apk add tzdata

ADD ./dist ./app

WORKDIR /app

RUN npm config set registry http://registry.npm.taobao.org/ && npm install pm2@5.2.2 -g

#RUN rm -rf node_modules/tsbuffer-validator/index.js && cp tsbufferIndex.js node_modules/tsbuffer-validator/index.js

CMD cd /app && sh zoeninfo.sh "Asia/Tokyo" && pm2-runtime start js_pm2.config.js -- ${Param}
